execute as @e[type=minecraft:vindicator] unless entity @s[nbt={NoAI:1b}] unless entity @s[nbt={HandItems:[{count:1, id:"minecraft:shield"}]}] run item replace entity @s weapon.offhand with minecraft:shield[base_color="lime",banner_patterns=[{color:"light_gray", pattern:"minecraft:small_stripes"},{color:"yellow",pattern:"minecraft:stripe_middle"},{color:"yellow",pattern:"minecraft:triangle_top"},{color:"yellow",pattern:"minecraft:half_horizontal_bottom"},{color:"light_gray",pattern:"minecraft:curly_border"},{color:"light_gray",pattern:"minecraft:stripe_bottom"}]] 1
execute as @e[type=minecraft:vindicator] at @s unless entity @s[nbt={NoAI:1b}] if entity @e[type=#minecraft:arrows, distance=..4] run playsound minecraft:item.shield.block hostile @a[distance=..16] ~ ~ ~ 50 0 1
execute as @e[type=minecraft:vindicator] at @s unless entity @s[nbt={NoAI:1b}] run kill @e[type=#minecraft:arrows, distance=..4]

execute as @e[type=minecraft:vindicator] at @s unless entity @s[nbt={NoAI:1b}] if entity @e[type=minecraft:boat, distance=..1] run playsound minecraft:entity.zombie.attack_wooden_door hostile @a[distance=..8] ~ ~ ~ 50 0 1
execute as @e[type=minecraft:vindicator] at @s unless entity @s[nbt={NoAI:1b}] run kill @e[type=minecraft:boat, distance=..1]
execute as @e[type=minecraft:vindicator] at @s unless entity @s[nbt={NoAI:1b}] if entity @e[type=minecraft:chest_boat, distance=..1] run playsound minecraft:entity.zombie.attack_wooden_door hostile @a[distance=..8] ~ ~ ~ 50 0 1
execute as @e[type=minecraft:vindicator] at @s unless entity @s[nbt={NoAI:1b}] run kill @e[type=minecraft:chest_boat, distance=..1]
execute as @e[type=minecraft:vindicator] at @s unless entity @s[nbt={NoAI:1b}] run fill ~1 ~ ~1 ~-1 ~ ~-1 minecraft:air replace #minecraft:wooden_doors


execute as @e[type=minecraft:evoker] at @s unless entity @s[nbt={NoAI:1b}] if entity @p[distance=..6, gamemode=survival] positioned as @p run setblock ~ ~4 ~ minecraft:pointed_dripstone[vertical_direction=down] keep
execute as @e[type=minecraft:evoker] at @s unless entity @s[nbt={NoAI:1b}] run kill @e[type=minecraft:item, nbt={Item:{id:"minecraft:pointed_dripstone"}}, distance=..20]
execute as @e[type=minecraft:evoker] at @s unless entity @s[nbt={NoAI:1b}] if entity @e[type=minecraft:falling_block, dy=5, dx=1, dz=1] run playsound minecraft:item.shield.block hostile @a[distance=..8] ~ ~ ~ 50 0 1
execute as @e[type=minecraft:evoker] at @s unless entity @s[nbt={NoAI:1b}] run kill @e[type=minecraft:falling_block, dy=5, dx=1, dz=1]


execute as @e[type=minecraft:vex] unless entity @s[nbt={NoAI:1b}] run enchant @s minecraft:fire_aspect 1
execute as @e[type=minecraft:vex] at @s unless entity @s[nbt={NoAI:1b}] run kill @e[type=minecraft:falling_block, dy=5]


execute as @e[type=minecraft:pillager] unless entity @s[nbt={NoAI:1b}] run enchant @s minecraft:quick_charge 3


execute as @e[type=minecraft:ravager] unless entity @s[nbt={NoAI:1b}] run attribute @s minecraft:generic.movement_speed base set 0.375
execute as @e[type=minecraft:ravager] at @s unless entity @s[nbt={NoAI:1b}] run ride @p[distance=..1.5, gamemode=survival] mount @s


execute as @e[type=minecraft:witch] unless entity @s[nbt={NoAI:1b}] run effect give @s minecraft:regeneration 10 4

execute as @e[type=minecraft:witch] at @s unless entity @s[nbt={NoAI:1b}] if entity @p[distance=..2, gamemode=survival, nbt={active_effects:[{id:"minecraft:speed"}]}] run playsound minecraft:block.bell.resonate hostile @a[distance=..16] ~ ~ ~ 50 1.5 1
execute as @e[type=minecraft:witch] at @s unless entity @s[nbt={NoAI:1b}] if entity @p[distance=..2, gamemode=survival, nbt={active_effects:[{id:"minecraft:strength"}]}] run playsound minecraft:block.bell.resonate hostile @a[distance=..16] ~ ~ ~ 50 1.5 1
execute as @e[type=minecraft:witch] at @s unless entity @s[nbt={NoAI:1b}] if entity @p[distance=..2, gamemode=survival, nbt={active_effects:[{id:"minecraft:regeneration"}]}] run playsound minecraft:block.bell.resonate hostile @a[distance=..16] ~ ~ ~ 50 1.5 1
execute as @e[type=minecraft:witch] at @s unless entity @s[nbt={NoAI:1b}] if entity @p[distance=..2, gamemode=survival, nbt={active_effects:[{id:"minecraft:resistance"}]}] run playsound minecraft:block.bell.resonate hostile @a[distance=..16] ~ ~ ~ 50 1.5 1
execute as @e[type=minecraft:witch] at @s unless entity @s[nbt={NoAI:1b}] if entity @p[distance=..2, gamemode=survival, nbt={active_effects:[{id:"minecraft:absorption"}]}] run playsound minecraft:block.bell.resonate hostile @a[distance=..16] ~ ~ ~ 50 1.5 1
execute as @e[type=minecraft:witch] at @s unless entity @s[nbt={NoAI:1b}] if entity @p[distance=..2, gamemode=survival, nbt={active_effects:[{id:"minecraft:conduit_power"}]}] run playsound minecraft:block.bell.resonate hostile @a[distance=..16] ~ ~ ~ 50 1.5 1
execute as @e[type=minecraft:witch] at @s unless entity @s[nbt={NoAI:1b}] if entity @p[distance=..2, gamemode=survival, nbt={active_effects:[{id:"minecraft:haste"}]}] run playsound minecraft:block.bell.resonate hostile @a[distance=..16] ~ ~ ~ 50 1.5 1
execute as @e[type=minecraft:witch] at @s unless entity @s[nbt={NoAI:1b}] if entity @p[distance=..2, gamemode=survival, nbt={active_effects:[{id:"minecraft:dolphins_grace"}]}] run playsound minecraft:block.bell.resonate hostile @a[distance=..16] ~ ~ ~ 50 1.5 1
execute as @e[type=minecraft:witch] at @s unless entity @s[nbt={NoAI:1b}] if entity @p[distance=..2, gamemode=survival, nbt={active_effects:[{id:"minecraft:fire_resistance"}]}] run playsound minecraft:block.bell.resonate hostile @a[distance=..16] ~ ~ ~ 50 1.5 1
execute as @e[type=minecraft:witch] at @s unless entity @s[nbt={NoAI:1b}] if entity @p[distance=..2, gamemode=survival, nbt={active_effects:[{id:"minecraft:invisibility"}]}] run playsound minecraft:block.bell.resonate hostile @a[distance=..16] ~ ~ ~ 50 1.5 1
execute as @e[type=minecraft:witch] at @s unless entity @s[nbt={NoAI:1b}] if entity @p[distance=..2, gamemode=survival, nbt={active_effects:[{id:"minecraft:night_vision"}]}] run playsound minecraft:block.bell.resonate hostile @a[distance=..16] ~ ~ ~ 50 1.5 1
execute as @e[type=minecraft:witch] at @s unless entity @s[nbt={NoAI:1b}] if entity @p[distance=..2, gamemode=survival, nbt={active_effects:[{id:"minecraft:jump_boost"}]}] run playsound minecraft:block.bell.resonate hostile @a[distance=..16] ~ ~ ~ 50 1.5 1
execute as @e[type=minecraft:witch] at @s unless entity @s[nbt={NoAI:1b}] if entity @p[distance=..2, gamemode=survival, nbt={active_effects:[{id:"minecraft:water_breathing"}]}] run playsound minecraft:block.bell.resonate hostile @a[distance=..16] ~ ~ ~ 50 1.5 1
execute as @e[type=minecraft:witch] at @s unless entity @s[nbt={NoAI:1b}] if entity @p[distance=..2, gamemode=survival, nbt={active_effects:[{id:"minecraft:slow_falling"}]}] run playsound minecraft:block.bell.resonate hostile @a[distance=..16] ~ ~ ~ 50 1.5 1

execute as @e[type=minecraft:witch] at @s unless entity @s[nbt={NoAI:1b}] if entity @p[distance=..2, gamemode=survival] run effect clear @p minecraft:speed
execute as @e[type=minecraft:witch] at @s unless entity @s[nbt={NoAI:1b}] if entity @p[distance=..2, gamemode=survival] run effect clear @p minecraft:strength
execute as @e[type=minecraft:witch] at @s unless entity @s[nbt={NoAI:1b}] if entity @p[distance=..2, gamemode=survival] run effect clear @p minecraft:regeneration
execute as @e[type=minecraft:witch] at @s unless entity @s[nbt={NoAI:1b}] if entity @p[distance=..2, gamemode=survival] run effect clear @p minecraft:resistance
execute as @e[type=minecraft:witch] at @s unless entity @s[nbt={NoAI:1b}] if entity @p[distance=..2, gamemode=survival] run effect clear @p minecraft:absorption
execute as @e[type=minecraft:witch] at @s unless entity @s[nbt={NoAI:1b}] if entity @p[distance=..2, gamemode=survival] run effect clear @p minecraft:conduit_power
execute as @e[type=minecraft:witch] at @s unless entity @s[nbt={NoAI:1b}] if entity @p[distance=..2, gamemode=survival] run effect clear @p minecraft:haste
execute as @e[type=minecraft:witch] at @s unless entity @s[nbt={NoAI:1b}] if entity @p[distance=..2, gamemode=survival] run effect clear @p minecraft:dolphins_grace
execute as @e[type=minecraft:witch] at @s unless entity @s[nbt={NoAI:1b}] if entity @p[distance=..2, gamemode=survival] run effect clear @p minecraft:fire_resistance
execute as @e[type=minecraft:witch] at @s unless entity @s[nbt={NoAI:1b}] if entity @p[distance=..2, gamemode=survival] run effect clear @p minecraft:invisibility
execute as @e[type=minecraft:witch] at @s unless entity @s[nbt={NoAI:1b}] if entity @p[distance=..2, gamemode=survival] run effect clear @p minecraft:night_vision
execute as @e[type=minecraft:witch] at @s unless entity @s[nbt={NoAI:1b}] if entity @p[distance=..2, gamemode=survival] run effect clear @p minecraft:jump_boost
execute as @e[type=minecraft:witch] at @s unless entity @s[nbt={NoAI:1b}] if entity @p[distance=..2, gamemode=survival] run effect clear @p minecraft:water_breathing
execute as @e[type=minecraft:witch] at @s unless entity @s[nbt={NoAI:1b}] if entity @p[distance=..2, gamemode=survival] run effect clear @p minecraft:slow_falling
