execute as @e[type=minecraft:zombified_piglin] unless entity @s[nbt={NoAI:1b}] run attribute @s minecraft:generic.movement_speed base set 0.3
execute as @e[type=minecraft:zombified_piglin] unless entity @s[nbt={NoAI:1b}] run attribute @s minecraft:generic.knockback_resistance base set 0.45

execute as @e[type=minecraft:piglin] unless entity @s[nbt={NoAI:1b}] run effect give @s minecraft:fire_resistance 10 0 true
execute as @e[type=minecraft:piglin] unless entity @s[nbt={NoAI:1b}] run enchant @s minecraft:quick_charge 3


execute as @e[type=minecraft:piglin_brute] unless entity @s[nbt={NoAI:1b}] run effect give @s minecraft:fire_resistance 10 0 true

execute as @e[type=minecraft:piglin_brute] unless entity @s[nbt={NoAI:1b}] at @s if block ~1 ~ ~ minecraft:blackstone run execute if block ~ ~ ~ minecraft:air run playsound minecraft:block.ladder.place block @a[distance=..8] ~ ~ ~ 50 0 1
execute as @e[type=minecraft:piglin_brute] unless entity @s[nbt={NoAI:1b}] at @s if block ~-1 ~ ~ minecraft:blackstone run execute if block ~ ~ ~ minecraft:air run playsound minecraft:block.ladder.place block @a[distance=..8] ~ ~ ~ 50 0 1
execute as @e[type=minecraft:piglin_brute] unless entity @s[nbt={NoAI:1b}] at @s if block ~ ~ ~1 minecraft:blackstone run execute if block ~ ~ ~ minecraft:air run playsound minecraft:block.ladder.place block @a[distance=..8] ~ ~ ~ 50 0 1
execute as @e[type=minecraft:piglin_brute] unless entity @s[nbt={NoAI:1b}] at @s if block ~ ~ ~-1 minecraft:blackstone run execute if block ~ ~ ~ minecraft:air run playsound minecraft:block.ladder.place block @a[distance=..8] ~ ~ ~ 50 0 1
execute as @e[type=minecraft:piglin_brute] unless entity @s[nbt={NoAI:1b}] at @s if block ~1 ~ ~ minecraft:gilded_blackstone run execute if block ~ ~ ~ minecraft:air run playsound minecraft:block.ladder.place block @a[distance=..8] ~ ~ ~ 50 0 1
execute as @e[type=minecraft:piglin_brute] unless entity @s[nbt={NoAI:1b}] at @s if block ~-1 ~ ~ minecraft:gilded_blackstone run execute if block ~ ~ ~ minecraft:air run playsound minecraft:block.ladder.place block @a[distance=..8] ~ ~ ~ 50 0 1
execute as @e[type=minecraft:piglin_brute] unless entity @s[nbt={NoAI:1b}] at @s if block ~ ~ ~1 minecraft:gilded_blackstone run execute if block ~ ~ ~ minecraft:air run playsound minecraft:block.ladder.place block @a[distance=..8] ~ ~ ~ 50 0 1
execute as @e[type=minecraft:piglin_brute] unless entity @s[nbt={NoAI:1b}] at @s if block ~ ~ ~-1 minecraft:gilded_blackstone run execute if block ~ ~ ~ minecraft:air run playsound minecraft:block.ladder.place block @a[distance=..8] ~ ~ ~ 50 0 1

execute as @e[type=minecraft:piglin_brute] unless entity @s[nbt={NoAI:1b}] at @s if block ~1 ~ ~ minecraft:blackstone run setblock ~ ~ ~ minecraft:ladder[facing=west] keep
execute as @e[type=minecraft:piglin_brute] unless entity @s[nbt={NoAI:1b}] at @s if block ~1 ~ ~ minecraft:gilded_blackstone run setblock ~ ~ ~ minecraft:ladder[facing=west] keep
execute as @e[type=minecraft:piglin_brute] unless entity @s[nbt={NoAI:1b}] at @s if block ~-1 ~ ~ minecraft:blackstone run setblock ~ ~ ~ minecraft:ladder[facing=east] keep
execute as @e[type=minecraft:piglin_brute] unless entity @s[nbt={NoAI:1b}] at @s if block ~-1 ~ ~ minecraft:gilded_blackstone run setblock ~ ~ ~ minecraft:ladder[facing=east] keep
execute as @e[type=minecraft:piglin_brute] unless entity @s[nbt={NoAI:1b}] at @s if block ~ ~ ~1 minecraft:blackstone run setblock ~ ~ ~ minecraft:ladder[facing=north] keep
execute as @e[type=minecraft:piglin_brute] unless entity @s[nbt={NoAI:1b}] at @s if block ~ ~ ~1 minecraft:gilded_blackstone run setblock ~ ~ ~ minecraft:ladder[facing=north] keep
execute as @e[type=minecraft:piglin_brute] unless entity @s[nbt={NoAI:1b}] at @s if block ~ ~ ~-1 minecraft:blackstone run setblock ~ ~ ~ minecraft:ladder[facing=south] keep
execute as @e[type=minecraft:piglin_brute] unless entity @s[nbt={NoAI:1b}] at @s if block ~ ~ ~-1 minecraft:gilded_blackstone run setblock ~ ~ ~ minecraft:ladder[facing=south] keep

execute as @e[type=minecraft:piglin_brute] unless entity @s[nbt={NoAI:1b}] unless entity @s[nbt={HandItems:[{count:1, id:"minecraft:shield"}]}] run item replace entity @s weapon.offhand with minecraft:shield[minecraft:base_color="yellow", minecraft:banner_patterns=[{color:"black",pattern:"minecraft:bricks"},{color:"black",pattern:"minecraft:border"},{color:"black",pattern:"minecraft:stripe_middle"},{color:"red",pattern:"minecraft:piglin"}]] 1
execute as @e[type=minecraft:piglin_brute] unless entity @s[nbt={NoAI:1b}] at @s if entity @e[type=#minecraft:arrows, distance=..4] run playsound minecraft:item.shield.block hostile @a[distance=..16] ~ ~ ~ 50 0 1
execute as @e[type=minecraft:piglin_brute] unless entity @s[nbt={NoAI:1b}] at @s run kill @e[type=#minecraft:arrows, distance=..4]

execute as @e[type=minecraft:piglin_brute] unless entity @s[nbt={NoAI:1b}] at @s if entity @e[type=minecraft:boat, distance=..1] run playsound minecraft:entity.zombie.attack_wooden_door hostile @a[distance=..8] ~ ~ ~ 50 0 1
execute as @e[type=minecraft:piglin_brute] unless entity @s[nbt={NoAI:1b}] at @s run kill @e[type=minecraft:boat, distance=..1]
execute as @e[type=minecraft:piglin_brute] unless entity @s[nbt={NoAI:1b}] at @s if entity @e[type=minecraft:chest_boat, distance=..1] run playsound minecraft:entity.zombie.attack_wooden_door hostile @a[distance=..8] ~ ~ ~ 50 0 1
execute as @e[type=minecraft:piglin_brute] unless entity @s[nbt={NoAI:1b}] at @s run kill @e[type=minecraft:chest_boat, distance=..1]
execute as @e[type=minecraft:piglin_brute] unless entity @s[nbt={NoAI:1b}] at @s run fill ~1 ~ ~1 ~-1 ~ ~-1 minecraft:air replace #minecraft:wooden_doors
